## org.openorb.util
Class Trace.StackSnapshot

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--org.openorb.util.Trace.StackSnapshot

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Trace

public static class Trace.StackSnapshot
extends java.lang.Throwable

This class is intended to expose a stack trace for debug logging. Instances of this class should not be thrown.

See Also:
  Serialized Form

Constructor Summary
`Trace.StackSnapshot()` Creates StackSnapshot

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Trace.StackSnapshot

    public Trace.StackSnapshot()

  Creates StackSnapshot